\documentclass[tikz]{standalone}


\pgfmathsetmacro{\lowerinnerrad}{0.4}
\pgfmathsetmacro{\lowerouterrad}{0.6}
\pgfmathsetmacro{\upperinnerrad}{0.2}
\pgfmathsetmacro{\upperouterrad}{0.4}
\pgfmathsetmacro{\logolinewidth}{{\lowerouterrad - \lowerinnerrad}}
\pgfmathsetmacro{\middleslant}{30}
\pgfmathsetmacro{\centershift}{{0.7 * \logolinewidth}}
\definecolor{logobrown}{RGB}{184, 102, 20}

\begin{document}

\begin{tikzpicture}[rotate=30,transform shape]
    % \draw[fill] plot[smooth, domain={90-\lowerouterover}:{270+\lowerouterover}]
    %                 ({\lowerouterrad * cos(\x)}, {\lowerouterrad * sin(\x)})
    %          -- plot[smooth, domain={270+\lowerinnerover}:{90-\lowerinnerover}]
    %                 ({\lowerinnerrad * cos(\x)}, {\lowerinnerrad * sin(\x)})
    %          -- cycle;

    \fill[logobrown] plot[smooth, domain=89:271] ({\lowerouterrad * cos(\x)}, {\lowerouterrad * sin(\x)})
             -- plot[smooth, domain=271:89] ({\lowerinnerrad * cos(\x)}, {\lowerinnerrad * sin(\x)});
    \fill[logobrown] (0, \lowerouterrad)
             -- (0, -\lowerouterrad)
             -- ({\logolinewidth * (1 + sin(\middleslant))}, -\lowerouterrad)
             -- (\logolinewidth, -\lowerinnerrad)
             -- (\logolinewidth, \lowerinnerrad)
             -- ({\logolinewidth * (1 - sin(\middleslant))}, \lowerouterrad)
             -- cycle;

    \fill[logobrown] plot[smooth, domain={270 + \middleslant}:{450 + asin(\centershift / \upperouterrad)}]
                ({\centershift + \upperouterrad * cos(\x)}, {\lowerouterrad + \upperinnerrad + \upperouterrad * sin(\x)})
             -- plot[smooth, domain={450 + asin(\centershift / \upperinnerrad)}:{270 + \middleslant}]
                ({\centershift + \upperinnerrad * cos(\x)}, {\lowerouterrad + \upperinnerrad + \upperinnerrad * sin(\x)})
             -- cycle;

    % \begin{scope}[shift={(0.3,0.8)}]
    %     \draw plot[smooth, domain=280:500] ({0.4 * cos(\x)}, {0.4 * sin(\x)});
    % \end{scope}
\end{tikzpicture}

\end{document}
